{{> header }}

<div>
  {{> logo }}

  <div class="scrum-create-inputs-wrapper">
    <form id="start-plan" >
    <div class="scrum-create-input-wrapper">
      <label for="plan-name">Session Name</label>
      <input class="scrum-create-input" type="text" id="plan-name" placeholder="Please Enter Session Name" required />
    </div>

    <div class="scrum-create-input-wrapper">
      <label for="number-of-voters">Number Of Voters</label>
      <input class="scrum-create-input" type="number" id="number-of-voters"
        placeholder="Please Enter Number Of Voters" required />
    </div>

    <div class="scrum-create-input-wrapper">
      <label for="story-list">Story List (each line should be considered as a story)</label>
      <textarea class="scrum-create-input" id="story-list" placeholder="Please Enter List Of Stories"
        rows="15" required ></textarea>
    </div>

    <div class="scrum-create-input-wrapper">
      <input type="checkbox" id="overwrite-plan">
      <label for="overwrite-plan">Overwrite current plan</label>
    </div>

    <button type="submit" class="button float-right">Start Session</button>
    </form>
  </div>
</div>

<script>
  $(function () {
    $('#start-plan').submit(function (event) {
      event.preventDefault();

      app.startPlanSession({
        planName: $('#plan-name').val(),
        numberOfVoters: $('#number-of-voters').val(),
        storyList: $('#story-list').val().split('\n').filter(val => !!val),
        overwritePlan: $('#overwrite-plan').is(":checked"),
      });
    });
  });
</script>

{{> footer }}